package J20250718.demo01_innerClass;

/**
 * @author WanJl
 * @version 1.0
 * @title Main
 * @description
 * @create 2025/7/18
 */
public class Main {
    public static void main(String[] args) {
        Car car=new Car();
        car.color="红色";
        //创建普通内部类的对象
        // 外部类.内部类 内部类对象名=new 外部类().new 内部类();
        Car.Engine ce=new Car().new Engine();

        //创建私有成员内部类对象
        Van van=new Van();
        van.getEngineMethod();  //调用获取内部类方法的方法
        van.setEngineSize("红色的");
        System.out.println(van.getEngineSize());

        //创建静态成员内部类对象
        //外部类名.内部类名 对象名=new 外部类名.内部类名();
        Train.Engine te=new Train.Engine();

        //创建外部类对象
        Train train=new Train();
        train.method();
    }
}
